import { IGame, IUi, IEvents, IPlayerPool, IVehiclePool } from "../../game";
import RageEvents from "./events";
import RageUi from "./ui";
import { RagePlayerPool, RageVehiclePool } from "./entities";

export default class RageGame implements IGame {
    players: IPlayerPool = new RagePlayerPool();
    vehicles: IVehiclePool = new RageVehiclePool();

    events: IEvents = new RageEvents;
    ui: IUi = new RageUi;

    wait(ms: number): void {
        mp.game.wait(ms);
    }

    disableDefaultEngineBehaviour(): void {
        mp.game.vehicle.defaultEngineBehaviour = false;
    }
}